Bug 1814345 - DNS resolution over TCP still enforced when double listeners is allowed by Octavia
Summary: DNS resolution over TCP still enforced when double listeners is allowed by Oc...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.4
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 4.4.0
Assignee: Maysa Macedo
QA Contact: Jon Uriarte
URL:
Whiteboard:
Depends On: 1810137
Blocks: 1814352
TreeView+ depends on / blocked
 
Reported: 2020-03-17 17:12 UTC by Maysa Macedo
Modified: 2020-05-04 11:47 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1810137
: 1814352 (view as bug list)
Environment:
Last Closed: 2020-05-04 11:46:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-network-operator pull 540 0 None closed [release-4.4] Bug 1814345: Delete admission controller if double listeners is supported 2020-05-27 19:26:46 UTC
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-04 11:47:00 UTC

Comment 3 Jon Uriarte 2020-04-24 14:16:30 UTC
Verified in 4.4.0-0.nightly-2020-04-24-062820 on top of OSP 13 2020-04-01.3 puddle.

Upgrading the OSP octavia from 13 to 16 is detected by the cno and acts accordingly,
the admission controller pods are removed as it supports double listeners with the new
octavia version and the amphora driver.

Before the upgrade:

$ oc -n openshift-kuryr get pods
NAME                                   READY   STATUS    RESTARTS   AGE
kuryr-cni-4bp4s                        1/1     Running   0          104m
kuryr-cni-8k5d7                        1/1     Running   0          104m
kuryr-cni-hl625                        1/1     Running   1          120m
kuryr-cni-n5rsn                        1/1     Running   0          120m
kuryr-cni-z4g2z                        1/1     Running   0          120m
kuryr-cni-zwfzt                        1/1     Running   0          106m
kuryr-controller-c87568798-mlv5v       1/1     Running   1          120m
kuryr-dns-admission-controller-2bc95   1/1     Running   0          120m
kuryr-dns-admission-controller-97nlf   1/1     Running   0          120m
kuryr-dns-admission-controller-ks9xc   1/1     Running   0          120m

2020/04/24 11:23:17 Checking OVN Octavia driver support
2020/04/24 11:23:17 Detected Octavia API v2.0.0
2020/04/24 11:23:17 Checking Double Listeners Octavia support
2020/04/24 11:23:17 Detected Octavia API v2.0.0

192.168.24.1:8787/rh-osbs/rhosp13-openstack-octavia-worker              20200331.1          0e2daa3f1862        3 weeks ago         771 MB
192.168.24.1:8787/rh-osbs/rhosp13-openstack-octavia-api                 20200331.1          025c2bc960a1        3 weeks ago         814 MB
192.168.24.1:8787/rh-osbs/rhosp13-openstack-octavia-housekeeping        20200331.1          dd8848817781        3 weeks ago         771 MB
192.168.24.1:8787/rh-osbs/rhosp13-openstack-octavia-health-manager      20200331.1          dfc6ac9b70e0        3 weeks ago         771 MB


After the upgrade:
registry-proxy.engineering.redhat.com/rh-osbs/rhosp16-openstack-octavia-api              latest              1ee95b296ace        3 hours ago         1.03 GB
registry-proxy.engineering.redhat.com/rh-osbs/rhosp16-openstack-octavia-housekeeping     latest              120171896bd4        3 hours ago         886 MB
registry-proxy.engineering.redhat.com/rh-osbs/rhosp16-openstack-octavia-worker           latest              c246d8e908d6        3 hours ago         886 MB
registry-proxy.engineering.redhat.com/rh-osbs/rhosp16-openstack-octavia-health-manager   latest              babc78969a44        3 hours ago         886 MB

2020/04/24 13:58:11 Checking OVN Octavia driver support
2020/04/24 13:58:11 Detected Octavia API v2.13.0
2020/04/24 13:58:11 Checking Double Listeners Octavia support
2020/04/24 13:58:11 Detected Octavia API v2.13.0

$ oc get po -n openshift-kuryr
NAME                               READY   STATUS    RESTARTS   AGE
kuryr-cni-5dh7r                    1/1     Running   0          14m
kuryr-cni-8sl7b                    1/1     Running   0          14m
kuryr-cni-f6skq                    1/1     Running   0          13m
kuryr-cni-jz9sk                    1/1     Running   0          12m
kuryr-cni-tvbrw                    1/1     Running   0          12m
kuryr-cni-vw5qz                    1/1     Running   0          13m
kuryr-controller-fff5d875b-vxskk   1/1     Running   1          15m

Comment 5 errata-xmlrpc 2020-05-04 11:46:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.